Bug 827470 - DeviceError: ('device has not been created', '/dev/md1')
DeviceError: ('device has not been created', '/dev/md1')
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:19a8da0b4d4cb9e5574eafccd18...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 10:46 EDT by Matt Domsch
Modified: 2013-01-10 01:49 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-16 17:27:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb-yh_hyd (400.63 KB, text/plain)
2012-06-01 10:46 EDT, Matt Domsch
no flags Details

  None (edit)
Description Matt Domsch 2012-06-01 10:46:12 EDT
libreport version: 2.0.10
cmdline:        /usr/bin/python  /usr/sbin/anaconda
executable:     /usr/sbin/anaconda
exnFileName:    /tmp/anaconda-tb-yh_hyd
hashmarkername: anaconda
kernel:         3.3.4-5.fc17.x86_64
other involved packages: 
product:        Fedora
release:        Cannot get release name.
time:           Fri 01 Jun 2012 08:44:21 AM UTC
version:        17

anaconda-tb-yh_hyd: Text file, 410243 bytes

description:
:The following was filed automatically by anaconda:
:anaconda 17.29 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 702, in _preSetup
:    raise DeviceError("device has not been created", self.name)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 718, in setup
:    if not self._preSetup(orig=orig):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 2012, in _parseOneLine
:    device.setup()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 2112, in parseFSTab
:    device = self._parseOneLine((devspec, mountpoint, fstype, options, dump, passno))
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 1676, in mountExistingSystem
:    fsset.parseFSTab(anaconda=anaconda)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/upgrade.py", line 178, in upgradeMountFilesystems
:    mountExistingSystem(anaconda, anaconda.upgradeRoot[0], allowDirty = 0)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 383, in dispatch
:    self.dir = self.steps[self.step].target(self.anaconda)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/text.py", line 507, in run
:    self.anaconda.dispatch.dispatch()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 326, in run
:    self.anaconda.intf.run(self.anaconda)
:  File "/usr/sbin/anaconda", line 863, in <module>
:    anaconda.dispatch.run()
:DeviceError: ('device has not been created', '/dev/md1')

environ:
:LANG=en_US.UTF-8
:repo=hd::/var/cache/yum/preupgrade
:TERM=linux
:BOOT_IMAGE=/upgrade/vmlinuz
:XAUTHORITY=/root/.Xauthority
:LC_NUMERIC=C
:SHLVL=0
:PYTHONPATH=/tmp/updates
:LVM_SUPPRESS_FD_WARNINGS=1
:GLADEPATH=/tmp/updates/:/tmp/updates/data/ui/:ui/:/usr/share/anaconda/ui/:/usr/share/python-meh/
:ks=hd:UUID=e6cff1fa-6774-4a5a-bd8f-776364403b74:/upgrade/ks.cfg
:PWD=/
:MALLOC_PERTURB_=204
:GCONF_GLOBAL_LOCKS=1
:HOME=/tmp
:PIXMAPPATH=/tmp/updates/pixmaps/:/tmp/updates/:/tmp/product/pixmaps/:/tmp/product/:pixmaps/:/usr/share/anaconda/pixmaps/:/usr/share/pixmaps/:/usr/share/anaconda/:/usr/share/python-meh/:/usr/share/icons/Fedora/48x48/apps/
:PATH=/usr/bin:/bin:/sbin:/usr/sbin:/mnt/sysimage/bin:/mnt/sysimage/usr/bin:/mnt/sysimage/usr/sbin:/mnt/sysimage/sbin:/sbin:/usr/sbin
:stage2=http://mirror.pnl.gov/fedora/linux/releases/17/Fedora/x86_64/os/LiveOS/squashfs.img
:MALLOC_CHECK_=2
Comment 1 Matt Domsch 2012-06-01 10:46:17 EDT
Created attachment 588486 [details]
File: anaconda-tb-yh_hyd
Comment 2 Matt Domsch 2012-06-01 13:08:55 EDT
Changing the fstab file to use UUID instead of /dev/md1 resolved it.
Comment 3 Jesse Keating 2012-07-16 17:27:16 EDT
There is another bug that is tracking this stuff, I just don't recall which one it is off the top.  But it's covered.

Note You need to log in before you can comment on or make changes to this bug.